curl --request POST \
--url https://api.example.com/api/repos \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_type": "<string>",
"remote_url": "<string>",
"default_branch": "<string>"
}
'{
"success": true,
"data": {
"id": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"name": "<string>",
"source_type": "<string>",
"remote_url": "<string>",
"default_branch": "<string>",
"last_commit_sha": "<string>",
"oauth_connection_id": "<string>",
"issue_auto_create_enabled": true,
"issue_auto_create_min_severity": "<string>",
"created_at": {},
"updated_at": {}
},
"error": {
"success": true,
"code": 123,
"message": "<string>"
}
}Create a new repository to track and scan for security vulnerabilities
curl --request POST \
--url https://api.example.com/api/repos \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_type": "<string>",
"remote_url": "<string>",
"default_branch": "<string>"
}
'{
"success": true,
"data": {
"id": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"name": "<string>",
"source_type": "<string>",
"remote_url": "<string>",
"default_branch": "<string>",
"last_commit_sha": "<string>",
"oauth_connection_id": "<string>",
"issue_auto_create_enabled": true,
"issue_auto_create_min_severity": "<string>",
"created_at": {},
"updated_at": {}
},
"error": {
"success": true,
"code": 123,
"message": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/iamngoni/heimdall/llms.txt
Use this file to discover all available pages before exploring further.
git_url if not specified.Show Source Types
github - GitHub repository connected via OAuthgitlab - GitLab repository connected via OAuthgit_url - Generic Git repository URLzip - Uploaded ZIP file containing source codegit_url source type. Optional for OAuth-based sources.main or master).Show Repository Object
curl -X POST https://api.heimdall.example.com/api/repos \
-H "Content-Type: application/json" \
-H "Cookie: session=your_session_token" \
-d '{
"name": "my-web-app",
"source_type": "git_url",
"remote_url": "https://github.com/example/my-web-app.git",
"default_branch": "main"
}'
curl -X POST https://api.heimdall.example.com/api/repos \
-H "Content-Type: application/json" \
-H "Cookie: session=your_session_token" \
-d '{
"name": "my-github-repo",
"source_type": "github",
"remote_url": "https://github.com/example/my-github-repo.git"
}'
curl -X POST https://api.heimdall.example.com/api/repos \
-H "Content-Type: application/json" \
-H "Cookie: session=your_session_token" \
-d '{
"name": "my-gitlab-project",
"source_type": "gitlab",
"remote_url": "https://gitlab.com/example/my-gitlab-project.git",
"default_branch": "develop"
}'
{
"success": true,
"data": {
"id": "01936d2f-8c4e-7890-b123-456789abcdef",
"user_id": "01936d2e-1234-5678-9abc-def012345678",
"org_id": null,
"name": "my-web-app",
"source_type": "git_url",
"remote_url": "https://github.com/example/my-web-app.git",
"default_branch": "main",
"last_commit_sha": null,
"oauth_connection_id": null,
"issue_auto_create_enabled": false,
"issue_auto_create_min_severity": "high",
"created_at": "2026-03-12T10:30:00Z",
"updated_at": "2026-03-12T10:30:00Z",
"deleted_at": null
}
}
{
"success": false,
"code": 401,
"message": "Authentication required"
}
{
"success": false,
"code": 500,
"message": "Failed to create repo: database connection error"
}